Part Sphere/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{TitleProperty|Kugel}}")
(Updating to match new version of source page)
Line 58: Line 58:


[[File:SphereCutThreeAngles.jpg|400px]]
[[File:SphereCutThreeAngles.jpg|400px]]

== Scripting ==

A Part Sphere can be created using the following function:

{{Code|code=
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
}}

* Where {{Incode|"mySphere"}} is the name for the object.
* The function returns the newly created object.





Revision as of 14:04, 8 January 2022

Part Kugel

Menüeintrag
Part → Grundkörper → Kugel
Arbeitsbereich
Part Module
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundkörper

Beschreibung

Beschreibung

Erstellt eine einfache parametrische Kugel mit den Parametern Position, Winkel1, Winkel2, Winkel3 und Radius.

Anwendung

Anwendung

Klicke im Arbeitsbereich Part auf das Kugelsymbol . Die Kugel wird bei der Erstellung am Ursprung (Punkt 0,0,0) positioniert. Die Winkelparameter erlauben es, einen Teil der Kugel statt einer Vollkugel zu erstellen (sie sind standardmäßig auf 360° eingestellt).

Result: The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).

The properties of the object can be edited, either in the Property editor or by double-clicking the object in the Tree view.

Optionen

Daten

Kugel

  • DatenRadius: Radius of the sphere
  • DatenAngle 1: 1nd angle to cut / define the sphere
  • DatenAngle 2: 2nd angle to cut / define the sphere
  • DatenAngle 3: 3rd angle to cut / define the sphere

Da es recht schwierig ist, die Bedeutung der Parameter Winkel 1, Winkel 2, Winkel 3 zu erklären, gibt das folgende Bild eine Erklärung dieser Parameter mit folgenden Werten: Winkel 1 = -45°, Winkel 2 = 45° und Winkel 3= 90°.

Scripting

A Part Sphere can be created using the following function:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.